Replace user
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>"
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}"
payload = {
"userName": "<string>",
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": True
}
],
"active": True,
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: '<string>',
schemas: ['urn:ietf:params:scim:schemas:core:2.0:User'],
name: {givenName: '<string>', familyName: '<string>'},
emails: [{value: '<string>', primary: true}],
active: true,
externalId: '<string>'
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'userName' => '<string>',
'schemas' => [
'urn:ietf:params:scim:schemas:core:2.0:User'
],
'name' => [
'givenName' => '<string>',
'familyName' => '<string>'
],
'emails' => [
[
'value' => '<string>',
'primary' => true
]
],
'active' => true,
'externalId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}"
payload := strings.NewReader("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"urn:ietf:params:scim:schemas:core:2.0:User\"\n ],\n \"name\": {\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\"\n },\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"primary\": true\n }\n ],\n \"active\": true,\n \"externalId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"urn:ietf:params:scim:schemas:core:2.0:User\"\n ],\n \"name\": {\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\"\n },\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"primary\": true\n }\n ],\n \"active\": true,\n \"externalId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"urn:ietf:params:scim:schemas:core:2.0:User\"\n ],\n \"name\": {\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\"\n },\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"primary\": true\n }\n ],\n \"active\": true,\n \"externalId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>",
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "404",
"detail": "Resource not found."
}Users (SCIM)
Replace user
Replaces all attributes of an existing user with the supplied representation.
PUT
/
scim
/
v2
/
Users
/
{id}
Replace user
curl --request PUT \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>"
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}"
payload = {
"userName": "<string>",
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": True
}
],
"active": True,
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userName: '<string>',
schemas: ['urn:ietf:params:scim:schemas:core:2.0:User'],
name: {givenName: '<string>', familyName: '<string>'},
emails: [{value: '<string>', primary: true}],
active: true,
externalId: '<string>'
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'userName' => '<string>',
'schemas' => [
'urn:ietf:params:scim:schemas:core:2.0:User'
],
'name' => [
'givenName' => '<string>',
'familyName' => '<string>'
],
'emails' => [
[
'value' => '<string>',
'primary' => true
]
],
'active' => true,
'externalId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}"
payload := strings.NewReader("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"urn:ietf:params:scim:schemas:core:2.0:User\"\n ],\n \"name\": {\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\"\n },\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"primary\": true\n }\n ],\n \"active\": true,\n \"externalId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"urn:ietf:params:scim:schemas:core:2.0:User\"\n ],\n \"name\": {\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\"\n },\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"primary\": true\n }\n ],\n \"active\": true,\n \"externalId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userName\": \"<string>\",\n \"schemas\": [\n \"urn:ietf:params:scim:schemas:core:2.0:User\"\n ],\n \"name\": {\n \"givenName\": \"<string>\",\n \"familyName\": \"<string>\"\n },\n \"emails\": [\n {\n \"value\": \"<string>\",\n \"primary\": true\n }\n ],\n \"active\": true,\n \"externalId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"userName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>"
},
"emails": [
{
"value": "<string>",
"primary": true
}
],
"active": true,
"externalId": "<string>",
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "404",
"detail": "Resource not found."
}Authorizations
Body
application/json
A SCIM 2.0 core User resource.
Response
The updated user.
A SCIM 2.0 core User resource.